### Function

# Pango.shape

#### Declaration [src]

    void
    pango_shape (
      const char* text,
      int length,
      const PangoAnalysis* analysis,
      PangoGlyphString* glyphs
    )

#### Description [src]

Convert the characters in `text` into glyphs.

Given a segment of text and the corresponding `PangoAnalysis` structure returned from `pango_itemize()`, convert the characters into glyphs. You may also pass in only a substring of the item from `pango_itemize()`.

It is recommended that you use `pango_shape_full()` instead, since that API allows for shaping interaction happening across text item boundaries.

Note that the extra attributes in the `analyis` that is returned from `pango_itemize()` have indices that are relative to the entire paragraph, so you need to subtract the item offset from their indices before calling `pango_shape()`.

#### Parameters

`text` | `const char*`
| the text to process
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`length` | `int`
| the length (in bytes) of `text`
`analysis` | `PangoAnalysis`
| `PangoAnalysis` structure from `pango_itemize()`
| Ownership is not transferred to the callee
`glyphs` | `PangoGlyphString`
| glyph string in which to store results
| Ownership is not transferred to the callee